﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:iconize="clr-namespace:Plugin.Iconize;assembly=Plugin.Iconize"
             mc:Ignorable="d"
             x:Class="Demeterre.Views.DetailElementPourPanierPage">
    
    <ContentPage.Content>

        <Grid>

            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="*"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>

            <!-- Entete -->
            <Grid Grid.Row="0"
                  Margin="0,15,0,0">

                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>

                <iconize:IconButton Grid.Column="0"
                                    Text="fas-arrow-left"
                                    FontSize="18"
                                    TextColor="{StaticResource AppTextGreyColor}"
                                    BackgroundColor="Transparent"
                                    Margin="0,20,0,0"
                                    Command="{Binding RetourCommand}"/>

                <Label Grid.Column="1"
                       Text="{Binding SelectedProduit.Lib2}"
                       FontSize="20"
                       FontFamily="Avenir-Regular.ttf#Avenir-Regular"
                       Margin="70,20,0,0"
                       BackgroundColor="Transparent"/>

            </Grid>
            
            <!-- Détail du produit -->
            <Grid Grid.Row="1">

                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>

                <Image Grid.Row="0"
                       HorizontalOptions="Center"
                       VerticalOptions="Center"
                       Margin="0,20,0,0"
                       HeightRequest="150"
                       WidthRequest="150"
                       Source="{Binding SelectedProduit.Lib1}" />

                <Frame Grid.Row="1"
                       BackgroundColor="{StaticResource AppGreyBackgroundColor}"
                       Margin="15,50,15,5"
                       HeightRequest="50">

                    <Grid>

                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto"/>
                            <ColumnDefinition Width="*"/>
                        </Grid.ColumnDefinitions>

                        <Label Text="Prix"
                               Grid.Column="0"
                               FontSize="18"
                               Margin="15,0,0,0"
                         />

                        <Label Grid.Column="1"
                               Text="{Binding SelectedProduit.Lib3, StringFormat='{0} €'}"
                               VerticalOptions="Center"
                               HorizontalOptions="End"
                               FontSize="16"
                               Margin="20,0"
                               TextColor="{StaticResource AppTextGreyColor}"/>

                    </Grid>

                </Frame>

                <Frame Grid.Row="2"
                       BackgroundColor="{StaticResource AppGreyBackgroundColor}"
                       Margin="15,0,15,5"
                       HeightRequest="50">

                    <Grid>

                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto"/>
                            <ColumnDefinition Width="*"/>
                        </Grid.ColumnDefinitions>

                        <Label Text="Quantité restante"
                               Grid.Column="0"
                               FontSize="18"
                               Margin="15,0,0,0"
                         />

                        <Label Grid.Column="1"
                               Text="{Binding SelectedProduit.Lib5}"
                               VerticalOptions="Center"
                               HorizontalOptions="End"
                               FontSize="16"
                               Margin="20,0,25,0"
                               TextColor="{StaticResource AppTextGreyColor}"/>

                    </Grid>

                </Frame>

                <Frame Grid.Row="3"
                       BackgroundColor="{StaticResource AppGreyBackgroundColor}"
                       Margin="15,0,15,5"
                       HeightRequest="50">

                    <Grid>

                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="Auto"/>
                            <ColumnDefinition Width="*"/>
                        </Grid.ColumnDefinitions>

                        <Label Text="Quantité choisie"
                               Grid.Column="0"
                               FontSize="18"
                               Margin="15,0,0,0"
                         />

                        <Entry Grid.Column="1"
                               Text=""
                               VerticalOptions="Center"
                               HorizontalOptions="End"
                               HorizontalTextAlignment="End"
                               FontSize="16"
                               Margin="0,0,20,0"
                               WidthRequest="30"
                               TextColor="{StaticResource AppTextGreyColor}"/>

                    </Grid>

                </Frame>


            </Grid>

            <Frame Grid.Row="2"
                   Margin="15"
                   CornerRadius="40"
                   HeightRequest="60"
                   BackgroundColor="{Binding MainColor}">

                <Grid>

                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"/>
                        <ColumnDefinition Width="Auto"/>
                        <ColumnDefinition Width="Auto"/>
                        <ColumnDefinition Width="*"/>
                    </Grid.ColumnDefinitions>

                    <Label Grid.Column="1"
                           HorizontalOptions="Start"
                           VerticalOptions="Center"
                           Text="Ajouter au panier"
                           FontSize="16"
                           TextColor="{StaticResource AppTextWhiteColor}"
                    />

                    <iconize:IconLabel Grid.Column="2"
                                       Text="fas-chevron-right"
                                       TextColor="{StaticResource AppTextWhiteColor}"
                                       FontSize="18"
                                       HorizontalOptions="Center"
                                       VerticalOptions="Center"
                                       Margin="10,0"
                    />

                    <Button Grid.ColumnSpan="4"
                            Clicked="Clicked_AjoutPanier"/>

                </Grid>

            </Frame>
            
            

        </Grid>
        
    </ContentPage.Content>
    
</ContentPage>